piaware 1.11 Reporting anomaly


#1

Is anybody else getting an anomaly report? I just installed piaware 1.11 and it is reporting as 1.10 online.

This is the anomaly message:
This system is running piaware version 1.10. Piaware version 1.11 is current. Please upgrade to the latest version by visiting flightaware.com/adsb/piaware/.

Thanks,
Francisco


#2

I do confirm. I made a fresh installation of 1.11 and i’ve an anomaly reporting 1.10 - but it is working :slight_smile:


#3

I was on 1.08 and got the message so I upgraded to 1.11. However, I still get the message and /tmp/piaware.out reports that I am running 1.10.


#4

Ditto…

I did notice a post by Karl back about page 10 or so in the Raspberry Pi thread that 1.11 was reporting 1.10 still and that explained why he wasn’t seeing many installs of 1.11 - IIRC he said he was just going to patch the version for the time being since he was working more on 1.12…

It seems not to have happened.


#5

Apologies for the continued confusion. 1.11 indeed reports as 1.10.


#6

I thought I had fixed this, and I’m sorry for letting it drag on. 1.12 is imminent and will report the correct version number for everything. I semi-guarantee it.

[UPDATE - piaware 1.12 is released. See github.com/flightaware/piaware/ … ease-Notes]


#7

And yet when I just down loaded and installed 1.12 at about 0915UTC I still see Ver 1.10 in piaware.out… Hmmm?[/quote]


#8

Can you paste the installation process you used? I just re-installed 1.12 and it reports 1.12.[/quote]


#9

Can you paste the installation process you used? I just re-installed 1.12 and it reports 1.12.

This is the process used to update a Pi running 1.04.
sudo /etc/init.d/piaware stop
wget flightaware.com/adsb/piaware/fil … _armhf.deb
sudo dpkg -i piaware_1.11_armhf.deb
sudo apt-get install -fy

…and in getting that out of the command cache in the Pi I see what the problems was… cut and paste shot me in the foot.

sudo dpkg -i piaware_1.12_armhf.deb has fixed it. My apologies for disturbing the peace.

Cheers

David[/quote]


#10

Working great on my end. Thanks.


#11

FWIW, I had the 1.11 notice. Upgraded to 1.12 today and the notice is cleared.